QwtColumnRect(3)

NAME
QwtColumnRect -

Directed rectangle representing bounding rectangle and orientation of a column.

SYNOPSIS

#include <qwt_column_symbol.h>

  Public Types
enum Direction { LeftToRight, RightToLeft, BottomToTop, TopToBottom }
Direction of the column.

  Public Member Functions
QwtColumnRect ()
Build an rectangle with invalid intervals directed BottomToTop.
QRectF toRect () const
Qt::Orientation orientation () const

  Public Attributes
QwtInterval hInterval
Interval for the horizontal coordinates.
QwtInterval vInterval
Interval for the vertical coordinates.
Direction direction
Direction.

Detailed Description

Directed rectangle representing bounding rectangle and orientation of a column.

Member Enumeration Documentation

  enum QwtColumnRect::Direction

Direction of the column.

Enumerator

LeftToRight
    From left to right.

RightToLeft
    From right to left.

BottomToTop
    From bottom to top.

TopToBottom
    From top to bottom.

Member Function Documentation

  Qt::Orientation QwtColumnRect::orientation () const [inline]

Returns:
    Orientation

  QRectF QwtColumnRect::toRect () const [inline]

Returns:
    A normalized QRect built from the intervals

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.